неудовлетворенные зависимости: winehq-стабильная

OS: Ubuntu 18.04 LTS

Шаги в соответствии с https://wiki.winehq.org/Ubuntu:

  1. sudo dpkg --add-архитектура i386
  2. wget -nc https://dl.winehq.org/wine-builds/winehq.key
  3. sudo apt-key add winehq.key Пока здесь: все в порядке.
  4. sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'. Выход:

sudo apt установка --install-recommends winehq-stable [sudo] пароль. для XXXX: Чтение списков пакетов... Готово Зависимость от сборки Дерево Читаю информацию о состоянии... Сделано Некоторые пакеты не могли быть установленным. Это может означать, что вы просили невозможное ситуации или если вы используете нестабильный дистрибутив, который некоторые необходимые пакеты еще не созданы или перемещены из Входящий. Следующая информация может помочь разрешить ситуацию: Следующие пакеты имеют неудовлетворенные зависимости:
. winehq-стабильный : Зависит от: стабильный винный (= 6.0.0~фокальный-1) Д: Невозможно исправить проблемы, у вас были сломанные пакеты**

Предложено другими пользователями:

1.Run Synaptic -> исправить сломанные пакеты -> не сработало

2.Run Synaptic -> найти все зависимости от вина -> удалить все -> повторить процесс установки -> не сработало

Help!

1
задан 15 March 2021 в 01:19

1 ответ

Спасибо за ссылку, вот что я сделал:

  1. Synaptic -> Удалены все винные репозитории
  2. Sudo DPKG-Add-Architecture I386
  3. Обновление Sudo APT
  4. Удаление предыдущего репозитория WineHQ:

Sudo APT-Add-Repository-R 'DEB HTTPS://dl.winehq.org/wine-builds/ubuntu/ Bionic Main

  1. Добавление других репозиториев:

WGET -Q HTTPS: // скачать. opensuse.org/Repositories/emulators:/wine:/debian/xubuntu_18.04/relase.key -o remole.key -o-o- | Sudo APT-Key Add -

Sudo APT-Add-Reposity 'DEB HTTPS://download.Opensuse.org/Repositories/emulators:/wine:/debian/xubuntu_18.04/ ./

  1. Sudo Получить обновление

, но!

Окончательный респект на этапе с виноделькой:

  1. Sudo APT Установить --install-Recreds ** WineHQ-Custary **

не работает - он сказал, что Linux не может найти пакет

sudo apt install --install-recommends winehq-stable
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package winehq-stable

Окончательный респект шаг - с вином-девлем:

  1. Sudo APT Установить --install-Recreds ** Winehq-Devel **

.. Работал!

0
ответ дан 18 March 2021 в 23:26

Другие вопросы по тегам:

Похожие вопросы: